Package org.apache.commons.collections4.list

# Class AbstractSerializableListDecorator<E>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
org.apache.commons.collections4.list.AbstractListDecorator<E>
org.apache.commons.collections4.list.AbstractSerializableListDecorator<E>

Type Parameters:
  `E` - The type of the elements in the list.

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`, `List<E>`

Direct Known Subclasses:
  `FixedSizeList`, `GrowthList`, `LazyList`, `SetUniqueList`, `UnmodifiableList`

public abstract class AbstractSerializableListDecorator<E> extends AbstractListDecorator<E>
Serializable subclass of AbstractListDecorator.

Since:
  3.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractSerializableListDecorator(List<E> list)`
  Constructor that wraps (not copies).

- ## Method Summary

  ### Methods inherited from class org.apache.commons.collections4.list.AbstractListDecorator

  `add, addAll, decorated, equals, get, hashCode, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, removeIf, retainAll, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, replaceAll, retainAll, size, sort, spliterator, toArray, toArray`

- ## Constructor Details

  - ### AbstractSerializableListDecorator

    protected AbstractSerializableListDecorator(List<E> list)
    Constructor that wraps (not copies).
    Parameters:
      `list` - The list to decorate, must not be null
    Throws:
      `NullPointerException` - if list is null